For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Change admin user permissions

PUT
https://api.brevo.com/v3/corporate/user/:email/permissions
PUT
/v3/corporate/user/:email/permissions
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.changeAdminUserPermissions("email", {
8 allFeaturesAccess: false,
9 privileges: [
10 {
11 feature: "user_management",
12 permissions: [
13 "all",
14 ],
15 },
16 {
17 feature: "api",
18 permissions: [
19 "all",
20 ],
21 },
22 {
23 feature: "my_plan",
24 permissions: [
25 "none",
26 ],
27 },
28 {
29 feature: "apps_management",
30 permissions: [
31 "all",
32 ],
33 },
34 {
35 feature: "create_sub_organizations",
36 permissions: [
37 "all",
38 ],
39 },
40 {
41 feature: "sub_organization_groups",
42 permissions: [
43 "create",
44 "edit_delete",
45 ],
46 },
47 {
48 feature: "manage_sub_organizations",
49 permissions: [
50 "all",
51 ],
52 },
53 {
54 feature: "security",
55 permissions: [
56 "none",
57 ],
58 },
59 {
60 feature: "analytics",
61 permissions: [
62 "create_alerts",
63 "download_data",
64 "my_looks",
65 "explore_create",
66 ],
67 },
68 ],
69 });
70}
71main();
This endpoint will allow you to change the permissions of Admin users of your Admin account
Was this page helpful?
Previous

Get the list of groups

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

emailstringRequired
Email address of Admin user

Request

Values to update an admin user permissions
all_features_accessbooleanRequired
All access to the features
privilegeslist of objectsRequired

Errors

400
Bad Request Error